Admin Agent Availability
curl --request POST \
--url https://api.voxo.co/v2/admin/reporting/queues/agent-availability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": 123,
"startDate": "<string>",
"endDate": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/reporting/queues/agent-availability"
payload = {
"queueId": 123,
"startDate": "<string>",
"endDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: 123, startDate: '<string>', endDate: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/reporting/queues/agent-availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"peerName": "<string>",
"name": "<string>",
"queueTalkTime": 123,
"nonQueueTalkTime": 123,
"totalUnavailableTime": 123,
"totalAvailableTime": 123,
"offDutyTimes": [
{
"offDutyReason": "<string>",
"offDutyTime": 123
}
],
"dndTimes": 123
}
]Reporting - Queues
Admin Agent Availability
Get agent availability metrics for a queue with optional time distribution
POST
/
v2
/
admin
/
reporting
/
queues
/
agent-availability
Admin Agent Availability
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Queue ID
Start date for the report period
End date for the report period
Filter by user peer names, or 'ALL' for all users
distribution
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Time distribution grouping (daily, weekly, monthly, or totals)
Available options:
weekly Response
200 - application/json
Agent availability results
- Option 1 · object[]
- Option 2 · object[]
Agent peer name
Agent display name
Queue talk time in seconds
Non-queue talk time in seconds
Total unavailable time in seconds
Total available time in seconds
Breakdown of off-duty periods
Show child attributes
Show child attributes
Do not disturb time in seconds
Was this page helpful?
⌘I